#!/bin/sh
#Convert L1C Products to L2A using L2A_Process
filename=$1	#L1C Filename

Z1=$(echo $(echo $filename | cut -d "_" -f1) | cut -d "/" -f3)
Z2=$(echo $filename | cut -d "_" -f3,4,5,6,7 | cut -d "." -f1)

L2A=$Z1"_MSIL2A_"$Z2

if [ ! -e  $L2A.zip ]; then
	echo "Processing: " $filename
	unzip -o $filename
	DIRNAME=$(echo $filename | cut -d "/" --complement -f1,2)
	DIRNAME=$(echo $DIRNAME | cut -d "." -f1).SAFE
	L2A_Process $DIRNAME

	zip -r $L2A.zip $L2A.SAFE/
	rm -r $L2A.SAFE/
	rm -r $DIRNAME/
else
	echo "PASSING: " $filename " found"
fi

